com.trendmicro.ds.platform.rest.api

## Interface IMultiTenantConfigurationAPI

-     @Path(value="/multitenantconfiguration")
      public interface IMultiTenantConfigurationAPI

  Interface for the Multi Tenant Configuration API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiTenantConfigurationElement` | `getMultiTenantConfiguration(java.lang.String sessionId)` Configuration of DSM Multi Tenant settings.
    `UpdateMultiTenantConfigurationResponse` | `setMultiTenantConfiguration(UpdateMultiTenantConfigurationRequest updateMultiTenantConfigurationRequest)` Set the multi-tenant configuration.

- - ### Method Detail

    - #### getMultiTenantConfiguration

          @GET
           @Produces(value={"application/xml","application/json"})
          MultiTenantConfigurationElement getMultiTenantConfiguration(@QueryParam(value="sID")
                                                                                                                                    java.lang.String sessionId)
                                                                                                                             throws java.lang.Exception

      Configuration of DSM Multi Tenant settings.
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        The information about the multi tenant configuration.
      Throws:
        `java.lang.Exception`

    - #### setMultiTenantConfiguration

          @PUT
           @Consumes(value={"application/xml","application/json"})
           @Produces(value={"application/xml","application/json"})
          UpdateMultiTenantConfigurationResponse setMultiTenantConfiguration(UpdateMultiTenantConfigurationRequest updateMultiTenantConfigurationRequest)
                                                                                                                                                                                             throws java.lang.Exception

      Set the multi-tenant configuration.
      Parameters:
        `updateMultiTenantConfigurationRequest` - The request parameters
      Returns:
        a response with status `200 OK` and a body containing response information when the configuration was successful. It will return a response with status `400 Bad Request` and a body containing an `ErrorMessage` when mandatory parameters are missing and/or validation fails.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.